: Class MimeQuotedPrintableDecoder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.mime.encoder
Class MimeQuotedPrintableDecoder

    java.lang.Object
      |
      +--grendel.mime.encoder.MimeEncoder
            |
            +--grendel.mime.encoder.MimeQuotedPrintableDecoder

public class MimeQuotedPrintableDecoder
extends MimeEncoder

Implements a Quoted-Printable -> plaintext decoder.

Constructor Summary
`MimeQuotedPrintableDecoder()`

Method Summary
`void` | `eof(ByteBuf out)` Tell the quoted-printable decoder that no more input data will be forthcoming.
`void` | `translate(ByteBuf in, ByteBuf out)` Given a sequence of input bytes using the quoted-printable encoding, produces a sequence of unencoded output bytes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeQuotedPrintableDecoder

    public MimeQuotedPrintableDecoder()

Method Detail

### translate

    public final void translate(ByteBuf in,
                                ByteBuf out)

  Given a sequence of input bytes using the quoted-printable encoding, produces a sequence of unencoded output bytes. Note that some (small) amount of buffering may be necessary, if the input byte stream didn't fall on an appropriate boundary. If there are bytes in `out' already, the new bytes are appended, so the caller should do `out.setLength(0)' first if that's desired.
  Overrides:
    translate in class MimeEncoder

### eof

    public final void eof(ByteBuf out)

  Tell the quoted-printable decoder that no more input data will be forthcoming. This may result in output, as a result of flushing the internal buffer. This object must not be used again after calling eof(). If there are bytes in `out' already, the new bytes are appended, so the caller should do `out.setLength(0)' first if that's desired.
  Overrides:
    eof in class MimeEncoder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD